Bug 869522 - maven-install-plugin-2.4 is available
maven-install-plugin-2.4 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: maven-install-plugin (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Weinan Li
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 03:29 EDT by Upstream Release Monitoring
Modified: 2013-01-07 06:35 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 06:35:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update package to v2.4 (874 bytes, patch)
2013-01-06 10:33 EST, David Xie
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2012-10-24 03:29:10 EDT
Latest upstream release: 2.4
Current version in Fedora Rawhide: 2.3.1
URL: http://repo2.maven.org/maven2/org/apache/maven/plugins/maven-install-plugin/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 David Xie 2013-01-06 10:33:53 EST
Created attachment 673370 [details]
Update package to v2.4
Comment 2 Weinan Li 2013-01-07 06:35:35 EST
Thanks David, I've applied your patch with some modifications and build the package with 'fedpkg build':

http://koji.fedoraproject.org/koji/buildinfo?buildID=376574

Before we do 'fedpkg build', we need to upload the updated version of zip:

[weli@localhost maven-install-plugin]$ fedpkg upload maven-install-plugin-2.4-source-release.zip
Uploading: a1d6b2415c45fc5aed830663f19a4c9f  maven-install-plugin-2.4-source-release.zip
######################################################################## 100.0%
Uploaded and added to .gitignore: maven-install-plugin-2.4-source-release.zip
Source upload succeeded. Don't forget to commit the sources file

The source file is downloaded from here: http://repo2.maven.org/maven2/org/apache/maven/plugins/maven-install-plugin/2.4/

And we need to delete the old sources from 'sources' file. Please check git log to see what I've changed to your patch.

Note You need to log in before you can comment on or make changes to this bug.